Create Post
curl --request POST \
--url https://cms.thepublive.com/publisher/{publisher_id}/post/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"english_title": "<string>",
"primary_category": 123,
"contributors": "<string>",
"content": "<string>",
"tags": "<string>",
"categories": "<string>",
"banner_url": 123,
"banner_description": "<string>",
"short_description": "<string>",
"summary": "<string>",
"seo_keyphrase": "<string>",
"slug": "<string>",
"meta_data": {},
"custom_published_at": "<string>",
"scheduled_at": "<string>",
"hide_banner_image": true,
"custom_entity": {}
}
'import requests
url = "https://cms.thepublive.com/publisher/{publisher_id}/post/"
payload = {
"title": "<string>",
"english_title": "<string>",
"primary_category": 123,
"contributors": "<string>",
"content": "<string>",
"tags": "<string>",
"categories": "<string>",
"banner_url": 123,
"banner_description": "<string>",
"short_description": "<string>",
"summary": "<string>",
"seo_keyphrase": "<string>",
"slug": "<string>",
"meta_data": {},
"custom_published_at": "<string>",
"scheduled_at": "<string>",
"hide_banner_image": True,
"custom_entity": {}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
english_title: '<string>',
primary_category: 123,
contributors: '<string>',
content: '<string>',
tags: '<string>',
categories: '<string>',
banner_url: 123,
banner_description: '<string>',
short_description: '<string>',
summary: '<string>',
seo_keyphrase: '<string>',
slug: '<string>',
meta_data: {},
custom_published_at: '<string>',
scheduled_at: '<string>',
hide_banner_image: true,
custom_entity: {}
})
};
fetch('https://cms.thepublive.com/publisher/{publisher_id}/post/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Created successfully"
}{
"detail": "Invalid Auth Credentials"
}Create Post
Default status on creation is Draft unless specified.
Show custom_entity
Show custom_entity
Supports three field shapes:
- Component:
{schema_slug: string, dynamic_fields: array of {field_name: value}}(dynamic_fieldsdefaults to[]). - Dynamic Zone: an array of Component-shaped objects (reuse
schema_slugfor repeats); has enforced min/max counts. - Dynamic List: Not supported via the Headless CMS API — returns “Dynamic list field is not supported via Headless CMS. Please use Publive Dashboard”.
POST
/
publisher
/
{publisher_id}
/
post
/
Create Post
Authorizations
HTTP Basic Auth using your Publive API key pair, base64-encoded.
Path Parameters
Your Publisher ID
Body
application/json
Immutable after creation.
Immutable after creation.
Available options:
Article, Video, Web Story, Gallery, LiveBlog, CustomPage, BlankPage Available options:
Draft, Published, Scheduled, Approval Pending Immutable after creation.
Immutable after creation.
Immutable after creation.
Requires status=Scheduled.
Response
Created
Last modified on August 10, 2026
Was this page helpful?
⌘I